/// <reference types="echarts" />
import React, { Component, ReactNode } from 'react';
import Echarts from 'echarts/lib/echarts';
import { IOptionContextType, IEventContextType } from './context';
import { IBaseOption, IEventType, ILoadingOption, IResizeOption } from './types';
import { ChartComponent } from './enum';
interface IProps {
    className?: string;
    children: ReactNode;
    notMerge?: boolean;
    lazyUpdate?: boolean;
    options?: IBaseOption;
    resize?: boolean;
    resizeOption?: IResizeOption;
    showLoading?: boolean;
    loadingType?: string;
    loadingOption?: ILoadingOption;
}
interface IState {
    optionHandler: IOptionContextType;
    eventHandler: IEventContextType;
}
declare class EchartsReactCore extends Component<IProps, IState> {
    echartsLib: Echarts.ECharts;
    echartsElementRef: React.RefObject<HTMLDivElement>;
    options: Echarts.EChartOption;
    constructor(props: IProps);
    setOption: (options: Echarts.EChartOption) => void;
    updateOption: (options: Partial<Echarts.EChartOption>, componentKey: ChartComponent) => void;
    onEvent: (params: IEventType) => void;
    offEvent: (params: IEventType) => void;
    componentDidMount(): void;
    componentDidUpdate(prevProps: IProps): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
export default EchartsReactCore;
